%define upstream_name    Sort-Key
%define upstream_version 1.33

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 23

Summary:    Sort objects by some (calculated) key
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Sort/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Test::More)
BuildRequires: perl-devel

%{?perl_default_filter}

%description
Sort::Key provides a set of functions to sort lists of values by some
calculated key value.

It is faster (usually *much faster*) and uses less memory than other
alternatives implemented around perl sort function (ST, GRT, etc.).

Multikey sorting functionality is also provided via the companion modules
the Sort::Key::Multi manpage, the Sort::Key::Maker manpage and the
Sort::Key::Register manpage.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%check
%make_build test

%install
%make_install

%files
%doc README Changes META.yml
%{_mandir}/man3/*
%perl_vendorarch/Sort
%perl_vendorarch/auto/Sort


%changelog
* Sun Jun 29 2025 umeabot <umeabot> 1.330.0-23.mga10
+ Revision: 2226246
- Mageia 10 Mass Rebuild

* Thu Aug 22 2024 neoclust <neoclust> 1.330.0-22.mga10
+ Revision: 2088217
- Rebuild against new perl

* Tue Nov 28 2023 tv <tv> 1.330.0-21.mga10
+ Revision: 2010500
- Rebuild for perl-5.38

* Tue Jun 07 2022 umeabot <umeabot> 1.330.0-20.mga9
+ Revision: 1862418
- Rebuild for Perl 5.36

* Thu Mar 17 2022 umeabot <umeabot> 1.330.0-19.mga9
+ Revision: 1796023
- Mageia 9 Mass Rebuild

* Mon May 24 2021 umeabot <umeabot> 1.330.0-18.mga9
+ Revision: 1727119
- Rebuild for perl 5.34

* Wed Jun 17 2020 umeabot <umeabot> 1.330.0-17.mga8
+ Revision: 1595264
- Rebuild for perl 5.32

* Sun Feb 16 2020 umeabot <umeabot> 1.330.0-16.mga8
+ Revision: 1530100
- Mageia 8 Mass Rebuild

* Tue Aug 27 2019 tmb <tmb> 1.330.0-15.mga8
+ Revision: 1433898
- rebuild for perl 5.30

* Fri Sep 21 2018 umeabot <umeabot> 1.330.0-14.mga7
+ Revision: 1293760
- Mageia 7 Mass Rebuild

* Mon Aug 06 2018 guillomovitch <guillomovitch> 1.330.0-13.mga7
+ Revision: 1248172
- rebuild for perl 5.28

* Tue Oct 03 2017 tv <tv> 1.330.0-12.mga7
+ Revision: 1166566
- rebuild with fixed rpm for missing autodeps

* Thu Aug 31 2017 pterjan <pterjan> 1.330.0-11.mga7
+ Revision: 1149160
- Rebuild for perl ABI changes

* Sat Jul 22 2017 neoclust <neoclust> 1.330.0-10.mga7
+ Revision: 1126775
- Rebuild against new Perl 5.26

* Sun Jun 19 2016 pterjan <pterjan> 1.330.0-9.mga6
+ Revision: 1033245
- Rebuild for perl 5.22.2

* Fri Feb 12 2016 umeabot <umeabot> 1.330.0-8.mga6
+ Revision: 958001
- Mageia 6 Mass Rebuild

* Fri Jun 26 2015 tv <tv> 1.330.0-7.mga6
+ Revision: 845289
- rebuild for soname-ifed perl

* Tue Jun 23 2015 sander85 <sander85> 1.330.0-6.mga6
+ Revision: 841651
- Rebuild for perl 5.22

* Wed Oct 15 2014 umeabot <umeabot> 1.330.0-5.mga5
+ Revision: 744536
- Second Mageia 5 Mass Rebuild

* Tue Sep 30 2014 tv <tv> 1.330.0-4.mga5
+ Revision: 733385
- add exclude

* Tue Sep 16 2014 umeabot <umeabot> 1.330.0-3.mga5
+ Revision: 686209
- Mageia 5 Mass Rebuild

* Tue Jun 03 2014 pterjan <pterjan> 1.330.0-2.mga5
+ Revision: 631668
- Rebuild for perl 5.20

* Tue Apr 29 2014 guillomovitch <guillomovitch> 1.330.0-1.mga5
+ Revision: 618891
- new version 1.33

* Sat Oct 19 2013 umeabot <umeabot> 1.320.0-2.mga4
+ Revision: 528804
- Mageia 4 Mass Rebuild

* Thu Jun 27 2013 guillomovitch <guillomovitch> 1.320.0-1.mga4
+ Revision: 447571
- new version
- imported package perl-Sort-Key


* Tue Jun 26 2012 cpan2dist 1.28-1mga
- initial mageia release, generated with cpan2dist
